"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const BalanceList_1 = __importDefault(require("../../components/BalanceList"));
const Button_1 = __importDefault(require("../../components/Button"));
const ConnectorAuthorization_style_1 = __importDefault(require("./ConnectorAuthorization.style"));
const ConnectorAuthorization = (props) => {
    const { balances, onAuthorizeClick, connectorName, connectorLogoUrl } = props;
    const classes = ConnectorAuthorization_style_1.default();
    return (react_1.default.createElement("div", { className: classes.container },
        react_1.default.createElement("div", { className: classes.header },
            react_1.default.createElement("div", { className: classes.imageContainer },
                react_1.default.createElement("img", { width: "40", src: connectorLogoUrl }),
                react_1.default.createElement("div", { className: classes.connectorName }, connectorName))),
        react_1.default.createElement("div", { className: classes.balancesWrapper },
            react_1.default.createElement("div", { className: classes.balancesLabel }, "Your Balances"),
            react_1.default.createElement(BalanceList_1.default, { balances: balances })),
        react_1.default.createElement(Button_1.default, { label: "Authorize", onClick: onAuthorizeClick, fullWidth: true, bgColor: "linear-gradient(98deg, rgba(0,120,255,1) 0%, rgba(126,0,255,1) 100%)" }),
        react_1.default.createElement("div", { className: classes.account },
            react_1.default.createElement("a", { className: classes.accountLink, href: "https://hypernetlabs.io/", target: "_blank" }, "View your Hypernet account."))));
};
exports.default = ConnectorAuthorization;
//# sourceMappingURL=ConnectorAuthorization.js.map